MONGOC_COLLECTION_UPDATE(3)

NAME
mongoc_collection_update() - This function shall update documents in collection that match selector.

SYNOPSIS

bool
mongoc_collection_update (mongoc_collection_t          *collection,
                          mongoc_update_flags_t         flags,
                          const bson_t                 *selector,
                          const bson_t                 *update,
                          const mongoc_write_concern_t *write_concern,
                          bson_error_t                 *error);

PARAMETERS

collection
    A mongoc_collection_t \&.

flags
    A bitwise or of mongoc_update_flags_t \&.

selector
    A bson_t containing the query to match documents for updating.

update
    A bson_t containing the update to perform.

write_concern
    A mongoc_write_concern_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function shall update documents in collection that match selector \&.

By default, updates only a single document. Set flags to MONGOC_UPDATE_MULTI_UPDATE to update multiple documents.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if successful, otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.